
From: Alan Cox <alan@redhat.com>

This is an SII 680 with strange PCI identifiers it appears

Original patch: Alex Hewson
Verified by: Alan Cox <alan@redhat.com>

OSDL Developer Certificate Of Origin included herein by reference

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/pci/siimage.c |    7 ++++++-
 25-akpm/include/linux/pci_ids.h   |    1 +
 2 files changed, 7 insertions(+), 1 deletion(-)

diff -puN drivers/ide/pci/siimage.c~add-support-for-innovision-dm-8401h drivers/ide/pci/siimage.c
--- 25/drivers/ide/pci/siimage.c~add-support-for-innovision-dm-8401h	2004-08-01 17:43:13.372979440 -0700
+++ 25-akpm/drivers/ide/pci/siimage.c	2004-08-01 17:43:13.378978528 -0700
@@ -19,6 +19,8 @@
  *	If you have strange problems with nVidia chipset systems please
  *	see the SI support documentation and update your system BIOS
  *	if neccessary
+ *
+ *  17/06/2004: Added PCI ID's for Innovision DM-8401H card - mocko@mocko.org.uk
  */
 
 #include <linux/config.h>
@@ -50,6 +52,7 @@ static int pdev_is_sata(struct pci_dev *
 		case PCI_DEVICE_ID_SII_1210SA:
 			return 1;
 		case PCI_DEVICE_ID_SII_680:
+		case PCI_DEVICE_ID_ITE_DM8401:
 			return 0;
 	}
 	BUG();
@@ -1108,7 +1111,8 @@ static void __devinit init_hwif_siimage(
 static ide_pci_device_t siimage_chipsets[] __devinitdata = {
 	/* 0 */ DECLARE_SII_DEV("SiI680"),
 	/* 1 */ DECLARE_SII_DEV("SiI3112 Serial ATA"),
-	/* 2 */ DECLARE_SII_DEV("Adaptec AAR-1210SA")
+	/* 2 */ DECLARE_SII_DEV("Adaptec AAR-1210SA"),
+	/* 3 */ DECLARE_SII_DEV("InnoVISION DM8401H")
 };
 
 /**
@@ -1132,6 +1136,7 @@ static struct pci_device_id siimage_pci_
 	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_3112, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 1},
 	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_1210SA, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 2},
 #endif
+	{ PCI_VENDOR_ID_ITE, PCI_DEVICE_ID_ITE_DM8401,  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 3},
 	{ 0, },
 };
 MODULE_DEVICE_TABLE(pci, siimage_pci_tbl);
diff -puN include/linux/pci_ids.h~add-support-for-innovision-dm-8401h include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~add-support-for-innovision-dm-8401h	2004-08-01 17:43:13.374979136 -0700
+++ 25-akpm/include/linux/pci_ids.h	2004-08-01 17:43:13.381978072 -0700
@@ -1640,6 +1640,7 @@
 #define PCI_VENDOR_ID_ITE		0x1283
 #define PCI_DEVICE_ID_ITE_IT8172G	0x8172
 #define PCI_DEVICE_ID_ITE_IT8172G_AUDIO 0x0801
+#define PCI_DEVICE_ID_ITE_DM8401	0x8212
 #define PCI_DEVICE_ID_ITE_8872		0x8872
 #define PCI_DEVICE_ID_ITE_IT8330G_0	0xe886
 
_
